package main
 
import (
	"fmt"
	"payease_icccashier/gomod"
//	"log"
	"net/http"
)

func main() {
	fs := http.FileServer(http.Dir("src/payease_icccashier/static"))
	http.Handle("/static/", http.StripPrefix("/static/", fs))
	http.HandleFunc("/", gomod.Index)
	
	http.HandleFunc("/order", gomod.Order)
	http.HandleFunc("/notify", gomod.Notify)
	http.HandleFunc("/callback", gomod.Callback)
	http.HandleFunc("/query", gomod.Query)
	http.HandleFunc("/refund", gomod.Refund)
	http.HandleFunc("/refundNotify", gomod.RefundNotify)
	http.HandleFunc("/refundQuery", gomod.RefundQuery)
	http.HandleFunc("/refuseNotify", gomod.RefuseNotify)
	
	http.HandleFunc("/post", gomod.DataPost)
	
	err := http.ListenAndServe(":8094", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)  
		//log.Fatal("ListenAndServe: ", err)
	}
}